# Set to 1 to not require itself to build via gtk+3.0-devel
%define bootstrap 0

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:		GNOME default icons
Name:			adwaita-icon-theme
Version:		3.24.0
Release:		%mkrel 1
License:		GPLv2+
Group:			Graphical desktop/GNOME
URL:			http://www.gnome.org/
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:		noarch
BuildRequires:		intltool
BuildRequires:		hicolor-icon-theme
BuildRequires:		icon-naming-utils >= 0.8.7

%if ! %{bootstrap}
# For gtk-encode-symbolic-svg
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		librsvg2
%endif

Requires:		hicolor-icon-theme
# For gtk-update-icon-cache
Requires(post):		gtk+3.0 >= 3.19.5-3
Requires(postun):	gtk+3.0 >= 3.19.5-3

# gnome-icon-theme and gnome-icon-theme-symbolic were merged
# into one pkg adwaita-icon-theme
Obsoletes:		gnome-icon-theme < 3.13.1
Provides:		gnome-icon-theme = %{version}-%{release}
Obsoletes:		gnome-icon-theme-symbolic < 3.13.1
Provides:		gnome-icon-theme-symbolic = %{version}-%{release}

%description
This package contains the Adwaita icon theme used by the GNOME desktop.

%package -n adwaita-cursor-theme
Summary:	Adwaita cursor theme
Group:		Graphical desktop/GNOME
BuildArch:	noarch
Conflicts:	%{name} < 3.13.1-2

%description -n adwaita-cursor-theme
The adwaita-cursor-theme package contains a modern set of cursors originally
designed for the GNOME desktop.

%prep
%setup -q

%build
# ovitters build+host needed to make configure work on noarch
%configure2_5x --build=%_build --host=%_host 
%make

%install
%make_install

touch %{buildroot}%{_datadir}/icons/Adwaita/icon-theme.cache

#compatibility symlink
ln -s %{name}.pc %{buildroot}%{_datadir}/pkgconfig/gnome-icon-theme.pc

# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  /usr/share/icons/Adwaita/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/Adwaita
fi

%post
%update_icon_cache Adwaita

%postun
%clean_icon_cache Adwaita

%files
%doc AUTHORS NEWS README
%dir %{_datadir}/icons/Adwaita/
%ghost %{_datadir}/icons/Adwaita/icon-theme.cache
%{_datadir}/icons/Adwaita/index.theme
%{_datadir}/icons/Adwaita/*/
%exclude %{_datadir}/icons/Adwaita/cursors/

%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/pkgconfig/gnome-icon-theme.pc

%files -n adwaita-cursor-theme
%{_datadir}/icons/Adwaita/cursors/


%changelog
* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094436
- fix configure on noarch
- new version 3.24.0

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054852
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053905
- new version 3.21.91

* Tue Mar 22 2016 ovitters <ovitters> 3.20-1.mga6
+ Revision: 994090
- new version 3.20

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 984900
- new version 3.19.91

* Sun Feb 21 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 975042
- new version 3.19.90

* Sat Jan 16 2016 wally <wally> 3.18.0-3.mga6
+ Revision: 923539
- drop gtk+2.0 BR
- BR gtk+3.0-devel to create *.symbolic.png icons
- add post and postun requires for gtk+3.0

* Wed Oct 28 2015 joequant <joequant> 3.18.0-2.mga6
+ Revision: 895974
- remove required gtk-update-icon-cache to allow gtk-3.0 only install

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883007
- new release

* Sun Sep 06 2015 tv <tv> 3.17.4-2.mga6
+ Revision: 873155
- switch to new upstream file trigger syntax

* Wed Jul 22 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 856156
- new version 3.17.4

* Thu Jun 25 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 843021
- new version 3.17.3

* Sun Jun 21 2015 ovitters <ovitters> 3.16.2.1-1.mga6
+ Revision: 837411
- new version 3.16.2.1

* Wed Dec 24 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 805381
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 744328
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721242
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 677704
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671040
- new version 3.13.91

* Sun Aug 17 2014 ovitters <ovitters> 3.13.5-1.mga5
+ Revision: 664558
- new version 3.13.5

* Mon Jul 14 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 651839
- new version 3.13.4

* Wed Jun 25 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639696
- new version 3.13.3

* Mon Jun 02 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 630636
- new version 3.13.2

* Tue May 06 2014 wally <wally> 3.13.1-3.mga5
+ Revision: 620855
- create gnome-icon-theme.pc compatibility symlink

* Fri May 02 2014 wally <wally> 3.13.1-2.mga5
+ Revision: 619478
- split out adwaita-cursor-theme pkg which came previously from gnome-themes-standard

* Fri May 02 2014 wally <wally> 3.13.1-1.mga5
+ Revision: 619438
- new version 3.13.1
- rename pkg as adwaita-icon-theme
- obsolete old gnome-icon-theme and gnome-icon-theme-symbolic

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608239
- new version 3.12.0

* Thu Mar 20 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 606291
- new version 3.11.92

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 584872
- new version 3.11.5

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536555
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484655
- new version 3.10.0

* Wed Jul 31 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461661
- new version 3.9.5

* Wed Jul 31 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 461530
- new version 3.8.3

* Fri May 24 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 426639
- new version 3.8.2

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352139
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 318052
- new version 3.6.2

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297583
- new version 3.6.0

* Wed Aug 22 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283198
- new version 3.5.90

* Wed Aug 08 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280040
- new version 3.5.5

* Wed Mar 28 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227309
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219139
- new version 3.3.91

* Wed Oct 19 2011 wally <wally> 3.2.1.2-1.mga2
+ Revision: 156687
- new version 3.2.1.2

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156311
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149415
- new version 3.2.0

* Thu Sep 01 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137474
- fix post script
- br gtk-update-icon-cache
- new version 3.1.90
- new version 3.1.4

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 102133
- New version 3.0.0

* Sat Jan 15 2011 blino <blino> 2.31.0-2.mga1
+ Revision: 19301
- remove version in comment
- remove old conflicts
- imported package gnome-icon-theme

